## di 4.48

=== Makefile ===
#
#  di makefile - top level
#
#  Copyright 2001-2011 Brad Lanam Walnut Creek CA, USA
#

SHELL = /bin/sh
FROMDIR = C

###
# mkconfig variables

MKCONFIGPATH = mkconfig

###
# common programs
#
CAT = cat
CHGRP = chgrp
CHMOD = chmod
CHOWN = chown
CP = cp
LN = ln
MKDIR = mkdir
MV = mv
RM = rm
RPMBUILD = rpmbuild
SED = sed
TEST = test

MKC_DIR = ./mkconfig

###
# installation options
#
prefix = /usr/local
LOCALEDIR = $(prefix)/share/locale
PROG = di
MPROG = mi
#
INSTALL_DIR = $(prefix)
INSTALL_BIN_DIR = $(INSTALL_DIR)/bin
INST_LOCALEDIR = $(INSTALL_DIR)/share/locale
TARGET = $(INSTALL_BIN_DIR)/$(PROG)$(EXE_EXT)
MTARGET = $(INSTALL_BIN_DIR)/$(MPROG)$(EXE_EXT)

# if you need permissions other than the default,
# edit these, and do a "make installperm".
USER = root
GROUP = bin
INSTPERM = 4111   # install suid if your system has a mount table only root
#                   can read.  For SysV.4 and Solaris, the mount command may
#                   reset the permissions of /etc/mnttab.

#
# simple man page installation
#
DI_MANINSTDIR = $(INSTALL_DIR)/share/man
DI_MANDIR = $(DI_MANINSTDIR)/man1
MAN_TARGET = $(PROG).1
MANPERM = 644

###
# all

.PHONY: all
all:
	$(MAKE) checkbuild
	cd C >/dev/null && $(MAKE) CC=$(CC) -e all

.PHONY: all-c
all-c:
	$(MAKE) checkbuild
	cd C >/dev/null && $(MAKE) CC=$(CC) -e all

.PHONY: tcl-sh
tcl-sh:
	$(MAKE) checkbuild
	cd C >/dev/null && $(MAKE) CC=$(CC) -e tcl-sh

.PHONY: all-d
all-d:
	$(MAKE) checkbuild
	cd D >/dev/null && $(MAKE) -e all

.PHONY: all-perl
all-perl:
	$(MAKE) checkperlbuild
	cd C >/dev/null && $(MAKE) CC=$(CC) -e all-perl

.PHONY: windows-gcc
windows-gcc:
	cd C >/dev/null && $(MAKE) -e windows-gcc

.PHONY: windows-clang
windows-clang:
	cd C >/dev/null && $(MAKE) -e windows-clang

.PHONY: windows-msys
windows-msys:
	cd C >/dev/null && $(MAKE) -e windows-msys

.PHONY: windows-mingw
windows-mingw:
	cd C >/dev/null && $(MAKE) -e windows-mingw

.PHONY: test
test:
	$(MAKE) checkbuild
	$(MAKE) checkinstall
	cd C >/dev/null && $(MAKE) -e test
	$(MAKE) -e tests.done

tests.done: $(MKC_DIR)/runtests.sh
	@echo "## running tests"
	CC=$(CC) DC="skip" $(_MKCONFIG_SHELL) \
		$(MKC_DIR)/runtests.sh ./tests.d
	touch tests.done


###

###
# installation

.PHONY: install
install:
	$(MAKE) all-c
	$(MAKE) checkinstall
	. ./C/di.env; $(MAKE) -e FROMDIR=$(FROMDIR) install-prog install-man

.PHONY: build.po
build-po:
	-. ./C/di.env; \
		(cd po >/dev/null && for i in *.po; do \
		j=`echo $$i | $(SED) 's,\\.po$$,,'`; \
		$${XMSGFMT} -o $$j.mo $$i; \
	done)

.PHONY: install-po
install-po: 	build-po
	-$(TEST) -d $(INST_LOCALEDIR) || $(MKDIR) -p $(INST_LOCALEDIR)
	-(cd po >/dev/null && for i in *.po; do \
		j=`echo $$i | $(SED) 's,\\.po$$,,'`; \
		$(TEST) -d $(INST_LOCALEDIR)/$$j || \
			$(MKDIR) $(INST_LOCALEDIR)/$$j; \
		$(TEST) -d $(INST_LOCALEDIR)/$$j/LC_MESSAGES || \
			$(MKDIR) $(INST_LOCALEDIR)/$$j/LC_MESSAGES; \
		$(CP) -f $$j.mo $(INST_LOCALEDIR)/$$j/LC_MESSAGES/di.mo; \
		$(RM) -f $$j.mo; \
		done)

.PHONY: install-prog
install-prog:
	$(TEST) -d $(INSTALL_DIR) || $(MKDIR) -p $(INSTALL_DIR)
	$(TEST) -d $(INSTALL_BIN_DIR) || $(MKDIR) $(INSTALL_BIN_DIR)
	$(CP) -f ./$(FROMDIR)/$(PROG)$(EXE_EXT) $(TARGET)
	-$(RM) -f $(MTARGET) > /dev/null 2>&1
	-$(LN) -s $(PROG)$(EXE_EXT) $(MTARGET)
	@-test -f $(FROMDIR)/config.h && \
		grep '^#define _enable_nls 1' $(FROMDIR)/config.h >/dev/null 2>&1 && \
		(. ./$(FROMDIR)/di.env; $(MAKE) -e INST_LOCALEDIR="$(INST_LOCALEDIR)" \
		install-po)
	@-test -f $(FROMDIR)/config.d && \
		grep '^enum int _enable_nls = 1;' $(FROMDIR)/config.d >/dev/null 2>&1 && \
		(. ./$(FROMDIR)/di.env; $(MAKE) -e INST_LOCALEDIR="$(INST_LOCALEDIR)" \
		install-po)

.PHONY: install-man
install-man:
	-$(TEST) -d $(DI_MANINSTDIR) || $(MKDIR) -p $(DI_MANINSTDIR)
	-$(TEST) -d $(DI_MANDIR) || $(MKDIR) -p $(DI_MANDIR)
	$(CP) -f di.1 $(DI_MANDIR)/$(MAN_TARGET)
	$(CHMOD) $(MANPERM) $(DI_MANDIR)/$(MAN_TARGET)

.PHONY: installperms
installperms:
	$(CHOWN) $(USER) $(TARGET)
	$(CHGRP) $(GROUP) $(TARGET)
	$(CHMOD) $(INSTPERM) $(TARGET)

###
# packaging

.PHONY: tar
tar:
	@-rm -f di-[0-9].[0-9][0-9][a-z].tar.gz > /dev/null 2>&1
	./mktar.sh

###
# cleaning

# Leaves:
#  _tmp_mkconfig/, _mkconfig_runtests/
.PHONY: clean
clean:
	@-rm -rf mkconfig.cache mkc*.vars mkconfig.log \
		checkbuild checkperlbuild checkinstall \
		tests.done \
		tests.d/test_order.tmp > /dev/null 2>&1; exit 0
	@-find . -name '*~' -print | xargs rm >/dev/null 2>&1; exit 0
	@-(cd C >/dev/null && $(MAKE) clean > /dev/null 2>&1); exit 0
	@-(cd D >/dev/null && $(MAKE) clean > /dev/null 2>&1); exit 0

# Leaves:
#  _tmp_mkconfig/, _mkconfig_runtests/
.PHONY: realclean
realclean:
	@-$(MAKE) clean > /dev/null 2>&1
	@-(cd C >/dev/null && $(MAKE) realclean > /dev/null 2>&1); exit 0
	@-(cd D >/dev/null && $(MAKE) realclean > /dev/null 2>&1); exit 0

# leaves:
#   dioptions.dat
.PHONY: distclean
distclean:
	@-$(MAKE) realclean > /dev/null 2>&1
	@-rm -rf mkconfig.cache mkc*.vars mkconfig.log \
		_mkconfig_runtests checkbuild checkperlbuild checkinstall \
		tests.done _tmp_mkconfig *~ */*~ \
		*/*/*~ *.orig > /dev/null 2>&1; exit 0
	@-(cd C >/dev/null && $(MAKE) distclean > /dev/null 2>&1); exit 0
	@-(cd D >/dev/null && $(MAKE) distclean > /dev/null 2>&1); exit 0


###
# dioptions.dat

dioptions.dat:	features/dioptions.dat
	@$(CP) features/dioptions.dat dioptions.dat
	@$(CHMOD) u+w dioptions.dat
	@touch dioptions.dat # to get mod date current

###
# pre-checks

checkbuild:	features/checkbuild.dat
	$(_MKCONFIG_SHELL) \
		$(MKCONFIGPATH)/mkconfig.sh features/checkbuild.dat
	touch checkbuild

checkperlbuild:	features/checkperlbuild.dat
	$(_MKCONFIG_SHELL) \
		$(MKCONFIGPATH)/mkconfig.sh features/checkperlbuild.dat
	touch checkperlbuild

checkinstall:	features/checkinstall.dat
	$(_MKCONFIG_SHELL) \
		$(MKCONFIGPATH)/mkconfig.sh features/checkinstall.dat
	touch checkinstall

=== C/Makefile ===
#
#  di makefile - C
#
#  Copyright 2001-2018 Brad Lanam Walnut Creek CA, USA
#

# for tests.done
DC = gdc

OBJ_EXT = .o
EXE_EXT =

###
# common programs
#
CAT = cat
CHGRP = chgrp
CHMOD = chmod
CHOWN = chown
CP = cp
LN = ln
MKDIR = mkdir
MV = mv
RM = rm
RPMBUILD = rpmbuild
SED = sed
TEST = test

###
# installation options
#
prefix = /usr/local
LOCALEDIR = $(prefix)/share/locale

###
# additional flags/libraries
#
DI_SHARED =
DI_CFLAGS = -DDI_LOCALE_DIR=\\\"$(LOCALEDIR)\\\"

###
# mkconfig variables

MKC_DIR = ../mkconfig
MKCONFIG_TYPE = sh
MKC_REQLIB = di.reqlibs
MKC_TCLREQLIB = di-tcl.reqlibs
MKC_ECHO =
#MKC_ECHO = -e

###
# main

# have to get various environment variables set up.

.PHONY: all
all:	all-sh

.PHONY: all-sh
all-sh:	di.env
	. ./di.env;$(MAKE) -e MKCONFIG_TYPE=sh di-programs

.PHONY: all-perl
all-perl:	di.env
	. ./di.env;$(MAKE) -e MKCONFIG_TYPE=perl di-programs

# tcl interface
.PHONY: tcl-sh
tcl-sh:	di-sh.env
	. ./di-sh.env;$(MAKE) -e MKCONFIG_TYPE=sh tcl-programs

# this is not working...need to research
#tcl-perl:	di-sh.env
#	. ./di-sh.env;$(MAKE) -e MKCONFIG_TYPE=perl tcl-programs

# perl interface
.PHONY: perl-sh
perl-sh:	di-sh.env
	. ./di-sh.env;$(MAKE) -e MKCONFIG_TYPE=sh perl-programs

.PHONY: perl-perl
perl-perl:	di-sh.env
	. ./di-sh.env;$(MAKE) -e MKCONFIG_TYPE=perl perl-programs

.PHONY: test
test:		tests.done

###
# environment

di.env:	features/env.dat ../dioptions.dat
	@-$(RM) -f di.env tests.done
	CC=$(CC) $(_MKCONFIG_SHELL) $(MKC_DIR)/mkconfig.sh features/env.dat

di-sh.env:	features/shenv.dat
	@-$(RM) -f di-sh.env tests.done
	CC=$(CC) $(_MKCONFIG_SHELL) $(MKC_DIR)/mkconfig.sh features/shenv.dat

###
# specific builds

# This was tested using vc
# Use:
#     nmake MAKE=nmake windows
#
.PHONY: windows
windows:
	@$(MAKE) ../dioptions.dat
	copy /y NUL: di.env
	-del config.h
	copy /y /b NUL:+configs\config.ms.cl config.h
	copy /y NUL: $(MKC_REQLIB)
	$(MAKE) \
		MAKE=nmake CC=cl LD=cl EXE_EXT=".exe" OBJ_EXT=".obj" \
		DI_CFLAGS="$(DI_CFLAGS) -nologo -O2" \
		LDFLAGS="-nologo -O2" di-programs

# This was tested using cygwin
.PHONY: windows-gcc
windows-gcc:
	@$(MAKE) ../dioptions.dat
	@echo ':' > di.env;chmod a+rx di.env
	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
	$(CP) -f configs/config.cygwin.gcc config.h
	@echo '-lintl' > $(MKC_REQLIB)
	$(MAKE) \
		CC=gcc LD=gcc EXE_EXT=".exe" OBJ_EXT=".o" \
		DI_CFLAGS="$(DI_CFLAGS) -g -O2" \
		LDFLAGS="-g -O2" di-programs

.PHONY: windows-msys
windows-msys:
	MAKE=mingw32-make
	cp ../features/dioptions.dat ../dioptions.dat
	> di.env
	-rm config.h
	cp configs/config.mingw config.h
	> $(MKC_REQLIB)
	$(MAKE) \
		MAKE=$(MAKE) \
		CC=gcc \
		EXE_EXT=".exe" OBJ_EXT=".o" \
		DI_CFLAGS="$(DI_CFLAGS) -g -O2" \
		LDFLAGS="-g -O2" di-programs

.PHONY: windows-mingw
windows-mingw:
	MAKE=mingw32-make
	copy /y /b NUL:+..\features\dioptions.dat ..\dioptions.dat
	copy /y NUL: di.env
	-del config.h
	copy /y /b NUL:+configs\config.mingw config.h
	copy /y NUL: $(MKC_REQLIB)
	$(MAKE) \
		MAKE=$(MAKE) \
		CC=gcc LD=gcc \
		EXE_EXT=".exe" OBJ_EXT=".o" \
		DI_CFLAGS="$(DI_CFLAGS) -g -O2" \
		LDFLAGS="-g -O2" mingw-di.exe

.PHONY: os2-gcc
os2-gcc:
	@echo ':' > di.env;chmod a+rx di.env
	$(MAKE) MKCONFIG_TYPE=perl \
		CC=gcc LD=gcc EXE_EXT=".exe" OBJ_EXT=".o" \
		DI_CFLAGS="$(DI_CFLAGS) -g -O2" \
		LDFLAGS="-g -O2 -Zexe" di.exe

.PHONY: bsd43-cc
bsd43-cc:
	@$(MAKE) ../dioptions.dat
	@echo ':' > di.env;chmod a+rx di.env
	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
	sleep 1
	$(CP) configs/config.bsd43.cc config.h
	sleep 1
	@touch $(MKC_REQLIB)
	$(MAKE) _MKCONFIG_SHELL=$(MKCONFIG_SHELL) \
		CC=cc LD=cc EXE_EXT="" OBJ_EXT=".o" \
		DI_CFLAGS="$(DI_CFLAGS) -O" \
		LDFLAGS="-O" di-programs

.PHONY: bsd43-gcc
bsd43-gcc:
	@$(MAKE) ../dioptions.dat
	@echo ':' > di.env;chmod a+rx di.env
	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
	sleep 1
	$(CP) configs/config.bsd43.gcc config.h
	sleep 1
	@touch $(MKC_REQLIB)
	$(MAKE) _MKCONFIG_SHELL=$(MKCONFIG_SHELL) \
		CC=gcc LD=gcc EXE_EXT="" OBJ_EXT=".o" \
		DI_CFLAGS="$(DI_CFLAGS) -O2" \
		LDFLAGS="-O2" di-programs

.PHONY: ultrix-cc
ultrix-cc:
	@$(MAKE) ../dioptions.dat
	@echo ':' > di.env;chmod a+rx di.env
	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
	sleep 1
	$(CP) configs/config.ultrix.cc config.h
	sleep 1
	@touch $(MKC_REQLIB)
	$(MAKE) _MKCONFIG_SHELL=$(MKCONFIG_SHELL) \
		CC=cc LD=cc EXE_EXT="" OBJ_EXT=".o" \
		DI_CFLAGS="$(DI_CFLAGS) -O" \
		LDFLAGS="-O" di-programs

.PHONY: ultrix-gcc
ultrix-gcc:
	@$(MAKE) ../dioptions.dat
	@echo ':' > di.env;chmod a+rx di.env
	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
	sleep 1
	$(CP) configs/config.ultrix.gcc config.h
	sleep 1
	@echo '-lintl' > $(MKC_REQLIB)
	$(MAKE) _MKCONFIG_SHELL=$(MKCONFIG_SHELL) \
		CC=gcc LD=gcc EXE_EXT="" OBJ_EXT=".o" \
		DI_CFLAGS="$(DI_CFLAGS) -O2" \
		LDFLAGS="-O2" di-programs

.PHONY: hpux-cc
hpux-cc:
	@$(MAKE) -e ../dioptions.dat
	@$(MAKE) CC=/usr/ccs/bin/cc -e di.env
	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
	sleep 1
	$(CP) configs/config.hpux.bcc config.h
	sleep 1;touch $(MKC_REQLIB)
	. ./di.env;$(MAKE) -e CC=/usr/ccs/bin/cc \
		_MKCONFIG_SHELL=$(MKCONFIG_SHELL) di-programs

.PHONY: xenix-cc
xenix-cc:
	@$(MAKE) ../dioptions.dat
	@echo ':' > di.env;chmod a+rx di.env
	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
	sleep 1
	$(CP) configs/conf.xenix.cc config.h
	sleep 1
	@touch $(MKC_REQLIB)
	$(MAKE) _MKCONFIG_SHELL=$(MKCONFIG_SHELL) \
		CC=cc LD=cc EXE_EXT="" OBJ_EXT=".o" \
		DI_CFLAGS="$(DI_CFLAGS) -O" \
		LDFLAGS="-O" di-programs

###
# cleaning

# leaves:
#   config.h configtcl.h di.reqlibs
#   ../dioptions.dat, tests.done, test_di, di.env, di-sh.env
.PHONY: clean
clean:
	@-cd Perl; \
		if [ -f Makefile ]; then \
		$(MAKE) clean; \
		fi
	@-$(RM) -rf di mi \
		di.exe mingw-di.exe mi.exe \
		tcldiskspace.bld diskspace.so diskspace.dylib diskspace.dll \
		perlfilesysdi.bld libdiperl.a \
		*.o *.obj mkconfig.log \
		tests.done _tmp_mkconfig tests.d/chksh* \
		mkconfig.cache mkc*.vars \
		getoptn_test* gconfig.h getoptn.reqlibs \
		mkconfig.reqlibs mkc_compile.log \
		Perl/Filesys-di-*.tar.gz \
		Perl/Makefile.old \
		tests.d/test_order.tmp >/dev/null 2>&1; exit 0
	@-find . -name '*~' -print | xargs rm > /dev/null 2>&1; exit 0

# leaves:
#   _mkconfig_runtests, _tmp_mkconfig, ../dioptions.dat
#   tests.done, test_di
.PHONY: realclean
realclean:
	@$(MAKE) clean >/dev/null 2>&1
	@-$(RM) -rf config.h configtcl.h gconfig.h \
		di.env di-sh.env $(MKC_REQLIB) $(MKC_TCLREQLIB) \
		>/dev/null 2>&1; exit 0

# leaves:
#   ../dioptions.dat
.PHONY: distclean
distclean:
	@-cd Perl; \
		if [ -f Makefile ]; then \
		$(MAKE) distclean; \
		fi
	@$(MAKE) realclean >/dev/null 2>&1
	@-$(RM) -rf tests.done test_di \
		_mkconfig_runtests _tmp_mkconfig \
		*~ *.orig */*.orig \
		>/dev/null 2>&1; exit 0

###
# installation

.PHONY: install
install:	di.env di-programs
	. ./di.env;cd ..;$(MAKE) -e prefix=$(prefix) \
		LOCALEDIR=$(LOCALEDIR) FROMDIR=C install

###
# programs

.PHONY: di-programs
di-programs:	di$(EXE_EXT)
.PHONY: tcl-programs
tcl-programs:	tcldiskspace.bld
.PHONY: perl-programs
perl-programs:	perlfilesysdi.bld

###
# configuration file

../dioptions.dat:	../features/dioptions.dat
	cd ../;$(MAKE) dioptions.dat

config.h:	di.env ../dioptions.dat features/mkconfig.dat
	@-$(RM) -f config.h tests.done
	@if [ "$(DI_NO_NLS)" != "" ]; then \
		echo "*** User requested no NLS"; \
		$(MKC_DIR)/mkc.sh -setopt -o ../dioptions.dat NLS F; fi
	@if [ "$(MKCONFIG_TYPE)" = "sh" -o "$(MKCONFIG_TYPE)" = "" ]; then \
		. ./di.env;$(_MKCONFIG_SHELL) \
		$(MKC_DIR)/mkconfig.sh \
		features/mkconfig.dat; fi
	@if [ "$(MKCONFIG_TYPE)" = "perl" ]; then \
		. ./di.env;perl \
		$(MKC_DIR)/mkconfig.pl \
		features/mkconfig.dat; fi

configtcl.h:	di-sh.env ../dioptions.dat features/mkconfig-tcl.dat
	@-$(RM) -f configtcl.h
	@if [ "$(MKCONFIG_TYPE)" = "sh" -o "$(MKCONFIG_TYPE)" = "" ]; then \
		. ./di-sh.env;$(_MKCONFIG_SHELL) \
		$(MKC_DIR)/mkconfig.sh \
		features/mkconfig-tcl.dat; fi
	@if [ "$(MKCONFIG_TYPE)" = "perl" ]; then \
		. ./di-sh.env;perl \
		$(MKC_DIR)/mkconfig.pl \
		features/mkconfig-tcl.dat; fi

$(MKC_REQLIB):	config.h
	@$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -reqlib \
		-o $(MKC_REQLIB) config.h

$(MKC_TCLREQLIB):	configtcl.h
	@$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -reqlib \
		-o $(MKC_TCLREQLIB) configtcl.h


###
# executables

LIBOBJECTS = dimain$(OBJ_EXT) didiskutil$(OBJ_EXT) \
		digetentries$(OBJ_EXT) digetinfo$(OBJ_EXT) \
		diquota$(OBJ_EXT)  display$(OBJ_EXT) getoptn$(OBJ_EXT) \
		options$(OBJ_EXT) realloc$(OBJ_EXT) strdup$(OBJ_EXT) \
		strstr$(OBJ_EXT) trimchar$(OBJ_EXT)

MAINOBJECTS = di$(OBJ_EXT)

TCLOBJECTS = tcldiskspace$(OBJ_EXT)

di$(EXE_EXT):	$(MKC_REQLIB) $(MAINOBJECTS) $(LIBOBJECTS)
	@$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -link -exec $(MKC_ECHO) \
		-r $(MKC_REQLIB) -o di$(EXE_EXT) \
		$(MAINOBJECTS) $(LIBOBJECTS)

# for ms cl
#di$(EXE_EXT):	$(MAINOBJECTS) $(LIBOBJECTS)
#	$(LD) -Fedi$(EXE_EXT) $(MAINOBJECTS) $(LIBOBJECTS)

tcldiskspace.bld:	$(MKC_REQLIB) $(MKC_TCLREQLIB) \
		$(TCLOBJECTS) $(LIBOBJECTS)
	@$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -link -shared $(MKC_ECHO) \
		-lib -o diskspace$(SHLIB_EXT) \
		-r $(MKC_REQLIB) -r $(MKC_TCLREQLIB) \
		$(TCLOBJECTS) $(LIBOBJECTS) $(LIBS)
	@touch tcldiskspace.bld

perlfilesysdi.bld:	$(MKC_REQLIB) $(LIBOBJECTS)
	@echo "*** Using libs: `$(CAT) $(MKC_REQLIB)`"
	@$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -staticlib $(MKC_ECHO) \
		-o libdiperl.a $(LIBOBJECTS) $(LIBS) \
		`$(CAT) $(MKC_REQLIB)`
	# Don't know how to pass additional libs to Makefile.PL
	# so pass all the information.
	( \
	cd Perl ; \
	perl Makefile.PL LIBS="-L.. -ldiperl `$(CAT) ../$(MKC_REQLIB)`" ; \
	make ; \
	make test ; \
	)
	@touch perlfilesysdi.bld

mingw-di$(EXE_EXT):	$(MAINOBJECTS) $(LIBOBJECTS)
	$(CC) -o mingw-di$(EXE_EXT) \
		$(DI_CFLAGS) $(LDFLAGS) $(LIBOBJECTS) $(LIBS)

###
# objects

.c$(OBJ_EXT):
	@$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -compile $(MKC_ECHO) \
		$(DI_SHARED) $(DI_CFLAGS) $<

# for ms cl
#.c$(OBJ_EXT):
#	$(CC) -c $(DI_SHARED) $(DI_CFLAGS) $<

di$(OBJ_EXT):		di.c config.h di.h dimain.h getoptn.h \
				options.h version.h

tcldiskspace$(OBJ_EXT):		tcldiskspace.c config.h di.h \
				dimain.h getoptn.h \
				options.h

dimain$(OBJ_EXT):	dimain.c config.h di.h dimain.h getoptn.h \
				options.h

digetinfo$(OBJ_EXT):	digetinfo.c config.h di.h dimntopt.h

didiskutil$(OBJ_EXT):	didiskutil.c config.h di.h dimntopt.h

digetentries$(OBJ_EXT):	digetentries.c config.h di.h dimntopt.h

diquota$(OBJ_EXT):	diquota.c config.h di.h

display$(OBJ_EXT):	display.c config.h di.h display.h options.h version.h

getoptn$(OBJ_EXT):	getoptn.c config.h getoptn.h

options$(OBJ_EXT):	options.c config.h di.h options.h

realloc$(OBJ_EXT):	realloc.c config.h di.h

strdup$(OBJ_EXT):	strdup.c config.h di.h

strstr$(OBJ_EXT):	strstr.c config.h di.h

trimchar$(OBJ_EXT):	trimchar.c config.h di.h

###
# regression testing

.PHONY: all-test
all-test:	tests.done

tests.done: $(MKC_DIR)/runtests.sh
	@echo "## running tests"
	CC=$(CC) DC=$(DC) $(_MKCONFIG_SHELL) \
		$(MKC_DIR)/runtests.sh ./tests.d
	touch tests.done

# needs environment
.PHONY: testrpmbuild
testrpmbuild:
	-$(TEST) -d ./rpmbuild && rm -rf ./rpmbuild
	$(MKDIR) -p ./rpmbuild/SOURCES
	$(MKDIR) -p ./rpmbuild/BUILD
	$(CP) -f $(DI_DIR)/di-$(DI_VERSION).tar.gz ./rpmbuild/SOURCES
	$(RPMBUILD) --define="_topdir `pwd`/rpmbuild" -ba ../di.spec
	$(TEST) -f ./rpmbuild/RPMS/$(MARCH)/di-$(DI_VERSION)-1.$(MARCH).rpm || exit 1
	$(TEST) -f ./rpmbuild/SRPMS/di-$(DI_VERSION)-1.src.rpm || exit 1
	$(TEST) -d ./rpmbuild && rm -rf ./rpmbuild

# needs environment
.PHONY: rtest-env
rtest-env:
	@echo "$(_MKCONFIG_SYSTYPE)"
	@echo "$(_MKCONFIG_SYSREV)"
	@echo "$(_MKCONFIG_SYSARCH)"
	@echo "$(CC)"
	@echo "$(_MKCONFIG_USING_GCC)"
	@echo "$(CFLAGS_OPTIMIZE)"
	@echo "$(CFLAGS_COMPILER)"
	@echo "$(LDFLAGS_COMPILER)"
	@echo "$(OBJ_EXT)"
	@echo "$(EXE_EXT)"
	@echo "$(XMSGFMT)"

.PHONY: test-env
test-env:
	@echo "cc: $(CC)"
	@echo "make: $(MAKE)"

=== debian/changelog ===
di (4.48-1) unstable; urgency=medium

  * New upstream release
  * Use dh_auto_build: allows cross build (Closes: #930819)
  * Fix FTBFS due to renamed README

 -- Michael Ablassmeier <abi@debian.org>  Wed, 06 Jan 2021 12:35:55 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- all-c

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/di/usr/
	rm -f $(CURDIR)/debian/di/usr/bin/mi

override_dh_auto_test:

override_dh_auto_clean:
	dh_auto_clean
	rm -f dioptions.dat

## di 4.51

=== Makefile ===
--- 
+++ 
@@ -216,7 +216,8 @@
 distclean:
 	@-$(MAKE) realclean > /dev/null 2>&1
 	@-rm -rf mkconfig.cache mkc*.vars mkconfig.log \
-		_mkconfig_runtests checkbuild checkperlbuild checkinstall \
+		mkc_files _mkconfig_runtests \
+		checkbuild checkperlbuild checkinstall \
 		tests.done _tmp_mkconfig *~ */*~ \
 		*/*/*~ *.orig > /dev/null 2>&1; exit 0
 	@-(cd C >/dev/null && $(MAKE) distclean > /dev/null 2>&1); exit 0

=== C/Makefile ===
--- 
+++ 
@@ -3,6 +3,19 @@
 #
 #  Copyright 2001-2018 Brad Lanam Walnut Creek CA, USA
 #
+
+MKC_PREFIX = di
+MKC_CONFDIR = mkc_config
+MKC_FILES = mkc_files
+MKC_OUTPUT = config.h
+MKC_ENV = $(MKC_PREFIX).env
+MKC_ENV_SHR = $(MKC_PREFIX)-shared.env
+
+MKC_CONF = $(MKC_CONFDIR)/$(MKC_PREFIX).mkc
+MKC_ENV_CONF = $(MKC_CONFDIR)/$(MKC_PREFIX)-env.mkc
+MKC_ENV_SHR_CONF = $(MKC_CONFDIR)/$(MKC_PREFIX)-env-shared.mkc
+MKC_CONF_TCL = $(MKC_CONFDIR)/$(MKC_PREFIX)-tcl.mkc
+MKC_CONF_GETOPTN = $(MKC_CONFDIR)/$(MKC_PREFIX)-getoptn.mkc
 
 # for tests.done
 DC = gdc
@@ -57,30 +70,30 @@
 all:	all-sh
 
 .PHONY: all-sh
-all-sh:	di.env
-	. ./di.env;$(MAKE) -e MKCONFIG_TYPE=sh di-programs
+all-sh:	$(MKC_ENV)
+	. ./$(MKC_ENV);$(MAKE) -e MKCONFIG_TYPE=sh di-programs
 
 .PHONY: all-perl
-all-perl:	di.env
-	. ./di.env;$(MAKE) -e MKCONFIG_TYPE=perl di-programs
+all-perl:	$(MKC_ENV)
+	. ./$(MKC_ENV);$(MAKE) -e MKCONFIG_TYPE=perl di-programs
 
 # tcl interface
 .PHONY: tcl-sh
-tcl-sh:	di-sh.env
-	. ./di-sh.env;$(MAKE) -e MKCONFIG_TYPE=sh tcl-programs
+tcl-sh:	$(MKC_ENV_SHR)
+	. ./$(MKC_ENV_SHR);$(MAKE) -e MKCONFIG_TYPE=sh tcl-programs
 
 # this is not working...need to research
-#tcl-perl:	di-sh.env
-#	. ./di-sh.env;$(MAKE) -e MKCONFIG_TYPE=perl tcl-programs
+#tcl-perl:	$(MKC_ENV_SHR)
+#	. ./$(MKC_ENV_SHR);$(MAKE) -e MKCONFIG_TYPE=perl tcl-programs
 
 # perl interface
 .PHONY: perl-sh
-perl-sh:	di-sh.env
-	. ./di-sh.env;$(MAKE) -e MKCONFIG_TYPE=sh perl-programs
+perl-sh:	$(MKC_ENV_SHR)
+	. ./$(MKC_ENV_SHR);$(MAKE) -e MKCONFIG_TYPE=sh perl-programs
 
 .PHONY: perl-perl
-perl-perl:	di-sh.env
-	. ./di-sh.env;$(MAKE) -e MKCONFIG_TYPE=perl perl-programs
+perl-perl:	$(MKC_ENV_SHR)
+	. ./$(MKC_ENV_SHR);$(MAKE) -e MKCONFIG_TYPE=perl perl-programs
 
 .PHONY: test
 test:		tests.done
@@ -88,13 +101,14 @@
 ###
 # environment
 
-di.env:	features/env.dat ../dioptions.dat
-	@-$(RM) -f di.env tests.done
-	CC=$(CC) $(_MKCONFIG_SHELL) $(MKC_DIR)/mkconfig.sh features/env.dat
-
-di-sh.env:	features/shenv.dat
-	@-$(RM) -f di-sh.env tests.done
-	CC=$(CC) $(_MKCONFIG_SHELL) $(MKC_DIR)/mkconfig.sh features/shenv.dat
+$(MKC_ENV):	$(MKC_ENV_CONF) ../dioptions.dat
+	@-$(RM) -f $(MKC_ENV) tests.done
+	CC=$(CC) $(_MKCONFIG_SHELL) $(MKC_DIR)/mkconfig.sh $(MKC_ENV_CONF)
+
+$(MKC_ENV_SHR):	$(MKC_ENV_SHR_CONF)
+	@-$(RM) -f $(MKC_ENV_SHR) tests.done
+	CC=$(CC) $(_MKCONFIG_SHELL) $(MKC_DIR)/mkconfig.sh \
+		$(MKC_ENV_SHR_CONF)
 
 ###
 # specific builds
@@ -106,7 +120,7 @@
 .PHONY: windows
 windows:
 	@$(MAKE) ../dioptions.dat
-	copy /y NUL: di.env
+	copy /y NUL: $(MKC_ENV)
 	-del config.h
 	copy /y /b NUL:+configs\config.ms.cl config.h
 	copy /y NUL: $(MKC_REQLIB)
@@ -119,7 +133,7 @@
 .PHONY: windows-gcc
 windows-gcc:
 	@$(MAKE) ../dioptions.dat
-	@echo ':' > di.env;chmod a+rx di.env
+	@echo ':' > $(MKC_ENV);chmod a+rx $(MKC_ENV)
 	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
 	$(CP) -f configs/config.cygwin.gcc config.h
 	@echo '-lintl' > $(MKC_REQLIB)
@@ -132,7 +146,7 @@
 windows-msys:
 	MAKE=mingw32-make
 	cp ../features/dioptions.dat ../dioptions.dat
-	> di.env
+	> $(MKC_ENV)
 	-rm config.h
 	cp configs/config.mingw config.h
 	> $(MKC_REQLIB)
@@ -147,7 +161,7 @@
 windows-mingw:
 	MAKE=mingw32-make
 	copy /y /b NUL:+..\features\dioptions.dat ..\dioptions.dat
-	copy /y NUL: di.env
+	copy /y NUL: $(MKC_ENV)
 	-del config.h
 	copy /y /b NUL:+configs\config.mingw config.h
 	copy /y NUL: $(MKC_REQLIB)
@@ -160,7 +174,7 @@
 
 .PHONY: os2-gcc
 os2-gcc:
-	@echo ':' > di.env;chmod a+rx di.env
+	@echo ':' > $(MKC_ENV);chmod a+rx $(MKC_ENV)
 	$(MAKE) MKCONFIG_TYPE=perl \
 		CC=gcc LD=gcc EXE_EXT=".exe" OBJ_EXT=".o" \
 		DI_CFLAGS="$(DI_CFLAGS) -g -O2" \
@@ -169,7 +183,7 @@
 .PHONY: bsd43-cc
 bsd43-cc:
 	@$(MAKE) ../dioptions.dat
-	@echo ':' > di.env;chmod a+rx di.env
+	@echo ':' > $(MKC_ENV);chmod a+rx $(MKC_ENV)
 	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
 	sleep 1
 	$(CP) configs/config.bsd43.cc config.h
@@ -183,7 +197,7 @@
 .PHONY: bsd43-gcc
 bsd43-gcc:
 	@$(MAKE) ../dioptions.dat
-	@echo ':' > di.env;chmod a+rx di.env
+	@echo ':' > $(MKC_ENV);chmod a+rx $(MKC_ENV)
 	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
 	sleep 1
 	$(CP) configs/config.bsd43.gcc config.h
@@ -197,7 +211,7 @@
 .PHONY: ultrix-cc
 ultrix-cc:
 	@$(MAKE) ../dioptions.dat
-	@echo ':' > di.env;chmod a+rx di.env
+	@echo ':' > $(MKC_ENV);chmod a+rx $(MKC_ENV)
 	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
 	sleep 1
 	$(CP) configs/config.ultrix.cc config.h
@@ -211,7 +225,7 @@
 .PHONY: ultrix-gcc
 ultrix-gcc:
 	@$(MAKE) ../dioptions.dat
-	@echo ':' > di.env;chmod a+rx di.env
+	@echo ':' > $(MKC_ENV);chmod a+rx $(MKC_ENV)
 	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
 	sleep 1
 	$(CP) configs/config.ultrix.gcc config.h
@@ -225,18 +239,18 @@
 .PHONY: hpux-cc
 hpux-cc:
 	@$(MAKE) -e ../dioptions.dat
-	@$(MAKE) CC=/usr/ccs/bin/cc -e di.env
+	@$(MAKE) CC=/usr/ccs/bin/cc -e $(MKC_ENV)
 	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
 	sleep 1
 	$(CP) configs/config.hpux.bcc config.h
 	sleep 1;touch $(MKC_REQLIB)
-	. ./di.env;$(MAKE) -e CC=/usr/ccs/bin/cc \
+	. ./$(MKC_ENV);$(MAKE) -e CC=/usr/ccs/bin/cc \
 		_MKCONFIG_SHELL=$(MKCONFIG_SHELL) di-programs
 
 .PHONY: xenix-cc
 xenix-cc:
 	@$(MAKE) ../dioptions.dat
-	@echo ':' > di.env;chmod a+rx di.env
+	@echo ':' > $(MKC_ENV);chmod a+rx $(MKC_ENV)
 	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
 	sleep 1
 	$(CP) configs/conf.xenix.cc config.h
@@ -252,7 +266,7 @@
 
 # leaves:
 #   config.h configtcl.h di.reqlibs
-#   ../dioptions.dat, tests.done, test_di, di.env, di-sh.env
+#   ../dioptions.dat, tests.done, test_di, $(MKC_ENV), $(MKC_ENV_SHR)
 .PHONY: clean
 clean:
 	@-cd Perl; \
@@ -263,24 +277,24 @@
 		di.exe mingw-di.exe mi.exe \
 		tcldiskspace.bld diskspace.so diskspace.dylib diskspace.dll \
 		perlfilesysdi.bld libdiperl.a \
-		*.o *.obj mkconfig.log \
-		tests.done _tmp_mkconfig tests.d/chksh* \
-		mkconfig.cache mkc*.vars \
+		*.o *.obj $(MKC_FILES)/mkconfig.log \
+		tests.done $(MKC_FILES)/_tmp_mkconfig tests.d/chksh* \
+		$(MKC_FILES)/mkconfig.cache mkc*.vars \
 		getoptn_test* gconfig.h getoptn.reqlibs \
-		mkconfig.reqlibs mkc_compile.log \
+		$(MKC_FILES)/mkconfig.reqlibs $(MKC_FILES)/mkc_compile.log \
 		Perl/Filesys-di-*.tar.gz \
 		Perl/Makefile.old \
 		tests.d/test_order.tmp >/dev/null 2>&1; exit 0
 	@-find . -name '*~' -print | xargs rm > /dev/null 2>&1; exit 0
 
 # leaves:
-#   _mkconfig_runtests, _tmp_mkconfig, ../dioptions.dat
+#   _mkconfig_runtests, mkc_files, ../dioptions.dat
 #   tests.done, test_di
 .PHONY: realclean
 realclean:
 	@$(MAKE) clean >/dev/null 2>&1
 	@-$(RM) -rf config.h configtcl.h gconfig.h \
-		di.env di-sh.env $(MKC_REQLIB) $(MKC_TCLREQLIB) \
+		$(MKC_ENV) $(MKC_ENV_SHR) $(MKC_REQLIB) $(MKC_TCLREQLIB) \
 		>/dev/null 2>&1; exit 0
 
 # leaves:
@@ -293,7 +307,8 @@
 		fi
 	@$(MAKE) realclean >/dev/null 2>&1
 	@-$(RM) -rf tests.done test_di \
-		_mkconfig_runtests _tmp_mkconfig \
+		_mkconfig_runtests \
+		$(MKC_FILES) \
 		*~ *.orig */*.orig \
 		>/dev/null 2>&1; exit 0
 
@@ -301,8 +316,9 @@
 # installation
 
 .PHONY: install
-install:	di.env di-programs
-	. ./di.env;cd ..;$(MAKE) -e prefix=$(prefix) \
+install:
+	$(MAKE) all
+	. ./$(MKC_ENV);cd ..;$(MAKE) -e prefix=$(prefix) \
 		LOCALEDIR=$(LOCALEDIR) FROMDIR=C install
 
 ###
@@ -321,30 +337,30 @@
 ../dioptions.dat:	../features/dioptions.dat
 	cd ../;$(MAKE) dioptions.dat
 
-config.h:	di.env ../dioptions.dat features/mkconfig.dat
+config.h:	$(MKC_ENV) ../dioptions.dat $(MKC_CONF)
 	@-$(RM) -f config.h tests.done
 	@if [ "$(DI_NO_NLS)" != "" ]; then \
 		echo "*** User requested no NLS"; \
 		$(MKC_DIR)/mkc.sh -setopt -o ../dioptions.dat NLS F; fi
 	@if [ "$(MKCONFIG_TYPE)" = "sh" -o "$(MKCONFIG_TYPE)" = "" ]; then \
-		. ./di.env;$(_MKCONFIG_SHELL) \
+		. ./$(MKC_ENV);$(_MKCONFIG_SHELL) \
 		$(MKC_DIR)/mkconfig.sh \
-		features/mkconfig.dat; fi
+		$(MKC_CONF); fi
 	@if [ "$(MKCONFIG_TYPE)" = "perl" ]; then \
-		. ./di.env;perl \
+		. ./$(MKC_ENV);perl \
 		$(MKC_DIR)/mkconfig.pl \
-		features/mkconfig.dat; fi
-
-configtcl.h:	di-sh.env ../dioptions.dat features/mkconfig-tcl.dat
+		$(MKC_CONF); fi
+
+configtcl.h:	$(MKC_ENV_SHR) ../dioptions.dat $(MKC_CONF_TCL)
 	@-$(RM) -f configtcl.h
 	@if [ "$(MKCONFIG_TYPE)" = "sh" -o "$(MKCONFIG_TYPE)" = "" ]; then \
-		. ./di-sh.env;$(_MKCONFIG_SHELL) \
+		. ./$(MKC_ENV_SHR);$(_MKCONFIG_SHELL) \
 		$(MKC_DIR)/mkconfig.sh \
-		features/mkconfig-tcl.dat; fi
+		$(MKC_CONF_TCL); fi
 	@if [ "$(MKCONFIG_TYPE)" = "perl" ]; then \
-		. ./di-sh.env;perl \
+		. ./$(MKC_ENV_SHR);perl \
 		$(MKC_DIR)/mkconfig.pl \
-		features/mkconfig-tcl.dat; fi
+		$(MKC_CONF_TCL); fi
 
 $(MKC_REQLIB):	config.h
 	@$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -reqlib \
@@ -369,7 +385,8 @@
 TCLOBJECTS = tcldiskspace$(OBJ_EXT)
 
 di$(EXE_EXT):	$(MKC_REQLIB) $(MAINOBJECTS) $(LIBOBJECTS)
-	@$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -link -exec $(MKC_ECHO) \
+	@$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh \
+		-link -exec $(MKC_ECHO) \
 		-r $(MKC_REQLIB) -o di$(EXE_EXT) \
 		$(MAINOBJECTS) $(LIBOBJECTS)
 
@@ -395,8 +412,8 @@
 	( \
 	cd Perl ; \
 	perl Makefile.PL LIBS="-L.. -ldiperl `$(CAT) ../$(MKC_REQLIB)`" ; \
-	make ; \
-	make test ; \
+	$(MAKE) ; \
+	$(MAKE) test ; \
 	)
 	@touch perlfilesysdi.bld
 
@@ -466,28 +483,3 @@
 	$(MKDIR) -p ./rpmbuild/SOURCES
 	$(MKDIR) -p ./rpmbuild/BUILD
 	$(CP) -f $(DI_DIR)/di-$(DI_VERSION).tar.gz ./rpmbuild/SOURCES
-	$(RPMBUILD) --define="_topdir `pwd`/rpmbuild" -ba ../di.spec
-	$(TEST) -f ./rpmbuild/RPMS/$(MARCH)/di-$(DI_VERSION)-1.$(MARCH).rpm || exit 1
-	$(TEST) -f ./rpmbuild/SRPMS/di-$(DI_VERSION)-1.src.rpm || exit 1
-	$(TEST) -d ./rpmbuild && rm -rf ./rpmbuild
-
-# needs environment
-.PHONY: rtest-env
-rtest-env:
-	@echo "$(_MKCONFIG_SYSTYPE)"
-	@echo "$(_MKCONFIG_SYSREV)"
-	@echo "$(_MKCONFIG_SYSARCH)"
-	@echo "$(CC)"
-	@echo "$(_MKCONFIG_USING_GCC)"
-	@echo "$(CFLAGS_OPTIMIZE)"
-	@echo "$(CFLAGS_COMPILER)"
-	@echo "$(LDFLAGS_COMPILER)"
-	@echo "$(OBJ_EXT)"
-	@echo "$(EXE_EXT)"
-	@echo "$(XMSGFMT)"
-
-.PHONY: test-env
-test-env:
-	@echo "cc: $(CC)"
-	@echo "make: $(MAKE)"
-

=== D/Makefile ===
#
#  di makefile - D
#
#  Copyright 2011 Brad Lanam Walnut Creek CA, USA
#

OBJ_EXT = .o
EXE_EXT =

CC = cc
DC = gdc

#
# common programs
#
CAT = cat
CHGRP = chgrp
CHMOD = chmod
CHOWN = chown
CP = cp
LN = ln
MKDIR = mkdir
MV = mv
RM = rm

###
# mkconfig variables

MKC_DIR = ../mkconfig
MKCONFIG_TYPE = sh
MKC_REQLIB = di.reqlibs
# set to -e to echo command lines.
MKCECHO =

###
# main

# have to get various environment variables set up.

#        DTESTFLAGS="$$DC_OPT $$DC_RELEASE $$DC_INLINE" di-programs

# compiling w/o the unittest flag doesn't work w/incremental linking
.PHONY: all
all:	di.env
	. ./di.env; \
	$(MAKE) -e MKCONFIG_TYPE=sh \
		DTESTFLAGS="$$DC_UNITTEST" di-programs

#        DTESTFLAGS="$$DC_UNITTEST $$DC_COV $$DC_DEBUG" \

.PHONY: all-test
all-test: di.env
	. ./di.env; \
	$(MAKE) -e MKCONFIG_TYPE=sh \
		DTESTFLAGS="$$DC_UNITTEST $$DC_COV " \
		LIBS="$(LIBS) $$DC_LIBS" di-programs

###
# environment

#### possibly merge features/env.dat w/C version???

di.env:	features/env.dat ../dioptions.dat
	@-$(RM) -f di.env tests.done
	CFLAGS="-I`pwd`/../C" $(_MKCONFIG_SHELL) \
		$(MKC_DIR)/mkconfig.sh features/env.dat

###
# cleaning

# leaves:
#   config.d, di.env, di.reqlibs
.PHONY: clean
clean:
	@-rm -f di di.exe mi mi.exe \
		*.o *.obj *.lst *.gcno *.gcda *.gcov \
		mkconfig.log mkconfig.cache mkc*.vars *~ \
		> /dev/null 2>&1

# leaves:
#   _mkconfig_runtests, _tmp_mkconfig
.PHONY: realclean
realclean:
	@$(MAKE) clean > /dev/null 2>&1
	@-$(RM) -rf config.d di.env $(MKC_REQLIB) \
		>/dev/null 2>&1

# leaves:
.PHONY: distclean
distclean:
	@$(MAKE) realclean > /dev/null 2>&1
	@-$(RM) -rf _mkconfig_runtests _tmp_mkconfig test_di \
		>/dev/null 2>&1

###
# installation

.PHONY: install
install:	di-programs di.env
	. ./di.env;cd ..;$(MAKE) -e prefix=$(prefix) LOCALEDIR=$(LOCALEDIR) FROMDIR=D install

###
# programs

.PHONY: di-programs
di-programs:	di$(EXE_EXT)

###
# configuration file

../dioptions.dat:	../features/dioptions.dat
	cd ../;$(MAKE) dioptions.dat

config.d:	di.env ../dioptions.dat features/mkconfig.dat
	@-$(RM) -f config.d tests.done
	@if [ "$(DI_NO_NLS)" != "" ]; then \
		echo "*** User requested no NLS"; \
		$(MKC_DIR)/mkcsetopt.sh -o ../dioptions.dat NLS F; fi
	@. ./di.env;$(_MKCONFIG_SHELL) \
		$(MKC_DIR)/mkconfig.sh \
		features/mkconfig.dat; fi

$(MKC_REQLIB):	di.env config.d
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -reqlib -o \
		$(MKC_REQLIB) config.d

###
# executables

OBJECTS = config$(OBJ_EXT) di$(OBJ_EXT) \
	dihelp$(OBJ_EXT) dilocale$(OBJ_EXT) \
	diquota$(OBJ_EXT) diskpart$(OBJ_EXT) display$(OBJ_EXT) \
	dispopts$(OBJ_EXT) digetoptn$(OBJ_EXT) options$(OBJ_EXT)

di$(EXE_EXT):	$(OBJECTS) $(MKC_REQLIB)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -link $(MKCECHO) -c $(DC) \
	-o di$(EXE_EXT) -r $(MKC_REQLIB) -- $(LDFLAGS) $(OBJECTS) $(LIBS)

###
# objects

config$(OBJ_EXT):	config.d
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) config.d

di$(OBJ_EXT):	di.d config$(OBJ_EXT) \
		diskpart$(OBJ_EXT) dihelp$(OBJ_EXT) \
		dilocale$(OBJ_EXT) diquota$(OBJ_EXT) \
		display$(OBJ_EXT) dispopts$(OBJ_EXT) \
		digetoptn$(OBJ_EXT) options$(OBJ_EXT)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) di.d

digetoptn$(OBJ_EXT):	digetoptn.d config$(OBJ_EXT)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) digetoptn.d

dihelp$(OBJ_EXT):	dihelp.d config$(OBJ_EXT) dilocale$(OBJ_EXT)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) dihelp.d

dilocale$(OBJ_EXT):	dilocale.d config$(OBJ_EXT)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) dilocale.d

diquota$(OBJ_EXT):	diquota.d config$(OBJ_EXT) diskpart$(OBJ_EXT)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) diquota.d

diskpart$(OBJ_EXT):	diskpart.d config$(OBJ_EXT)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) diskpart.d

display$(OBJ_EXT):	display.d config$(OBJ_EXT) dilocale$(OBJ_EXT) \
		diskpart$(OBJ_EXT) dispopts$(OBJ_EXT) \
		options$(OBJ_EXT)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) display.d

dispopts$(OBJ_EXT):	dispopts.d config$(OBJ_EXT)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) dispopts.d

options$(OBJ_EXT):	options.d config$(OBJ_EXT) \
		dispopts$(OBJ_EXT) dihelp$(OBJ_EXT) digetoptn$(OBJ_EXT)
	$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -comp $(MKCECHO) -c $(DC) -o $@ \
		-- $(DFLAGS) $(DTESTFLAGS) options.d

=== debian/changelog ===
di (4.51-1) unstable; urgency=medium

  * New upstream release.
  * Update upstream homepage.

 -- Michael Ablassmeier <abi@debian.org>  Sat, 17 Sep 2022 18:36:48 +0200

=== debian/control ===
Source: di
Section: utils
Priority: optional
Maintainer: Michael Ablassmeier <abi@debian.org>
Build-Depends: debhelper (>= 13), gettext
Standards-Version: 4.3.0
Homepage: https://diskinfo-di.sourceforge.io/

Package: di
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: advanced df like disk information utility
 `di' is a disk information utility, displaying everything
 (and more) that your `df' command does. It features the
 ability to display your disk usage in whatever format you
 desire/prefer/are used to. It is designed to be portable
 across many platforms.

## di 4.52

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #  di makefile - top level
 #
 #  Copyright 2001-2011 Brad Lanam Walnut Creek CA, USA
+#  Copyright 2023 Brad Lanam Pleasant Hill CA, USA
 #
 
 SHELL = /bin/sh
@@ -34,15 +35,21 @@
 # installation options
 #
 prefix = /usr/local
-LOCALEDIR = $(prefix)/share/locale
+PREFIX = $(prefix)
 PROG = di
 MPROG = mi
 #
-INSTALL_DIR = $(prefix)
-INSTALL_BIN_DIR = $(INSTALL_DIR)/bin
-INST_LOCALEDIR = $(INSTALL_DIR)/share/locale
-TARGET = $(INSTALL_BIN_DIR)/$(PROG)$(EXE_EXT)
-MTARGET = $(INSTALL_BIN_DIR)/$(MPROG)$(EXE_EXT)
+BINDIR = $(PREFIX)/bin
+DATADIR = $(PREFIX)/share
+MANDIR = $(DATADIR)/man
+LOCALEDIR = $(DATADIR)/locale
+INST_DIR = $(DESTDIR)$(PREFIX)
+INST_BINDIR = $(DESTDIR)$(BINDIR)
+INST_DATADIR = $(DESTDIR)$(DATADIR)
+INST_MANDIR = $(DESTDIR)$(MANDIR)
+INST_LOCALEDIR = $(DESTDIR)$(LOCALEDIR)
+DITARGET = $(INST_BINDIR)/$(PROG)$(EXE_EXT)
+MTARGET = $(INST_BINDIR)/$(MPROG)$(EXE_EXT)
 
 # if you need permissions other than the default,
 # edit these, and do a "make installperm".
@@ -55,8 +62,7 @@
 #
 # simple man page installation
 #
-DI_MANINSTDIR = $(INSTALL_DIR)/share/man
-DI_MANDIR = $(DI_MANINSTDIR)/man1
+DI_MANDIR = $(INST_MANDIR)/man1
 MAN_TARGET = $(PROG).1
 MANPERM = 644
 
@@ -77,11 +83,6 @@
 tcl-sh:
 	$(MAKE) checkbuild
 	cd C >/dev/null && $(MAKE) CC=$(CC) -e tcl-sh
-
-.PHONY: all-d
-all-d:
-	$(MAKE) checkbuild
-	cd D >/dev/null && $(MAKE) -e all
 
 .PHONY: all-perl
 all-perl:
@@ -152,32 +153,28 @@
 
 .PHONY: install-prog
 install-prog:
-	$(TEST) -d $(INSTALL_DIR) || $(MKDIR) -p $(INSTALL_DIR)
-	$(TEST) -d $(INSTALL_BIN_DIR) || $(MKDIR) $(INSTALL_BIN_DIR)
-	$(CP) -f ./$(FROMDIR)/$(PROG)$(EXE_EXT) $(TARGET)
+	$(TEST) -d $(INST_DIR) || $(MKDIR) -p $(INST_DIR)
+	$(TEST) -d $(INST_BINDIR) || $(MKDIR) $(INST_BINDIR)
+	$(CP) -f ./$(FROMDIR)/$(PROG)$(EXE_EXT) $(DITARGET)
 	-$(RM) -f $(MTARGET) > /dev/null 2>&1
-	-$(LN) -s $(PROG)$(EXE_EXT) $(MTARGET)
+	-$(LN) -s $(DITARGET) $(MTARGET)
 	@-test -f $(FROMDIR)/config.h && \
 		grep '^#define _enable_nls 1' $(FROMDIR)/config.h >/dev/null 2>&1 && \
-		(. ./$(FROMDIR)/di.env; $(MAKE) -e INST_LOCALEDIR="$(INST_LOCALEDIR)" \
-		install-po)
-	@-test -f $(FROMDIR)/config.d && \
-		grep '^enum int _enable_nls = 1;' $(FROMDIR)/config.d >/dev/null 2>&1 && \
-		(. ./$(FROMDIR)/di.env; $(MAKE) -e INST_LOCALEDIR="$(INST_LOCALEDIR)" \
+		(. ./$(FROMDIR)/di.env; $(MAKE) -e LOCALEDIR="$(LOCALEDIR)" \
 		install-po)
 
 .PHONY: install-man
 install-man:
-	-$(TEST) -d $(DI_MANINSTDIR) || $(MKDIR) -p $(DI_MANINSTDIR)
+	-$(TEST) -d $(INST_MANDIR) || $(MKDIR) -p $(INST_MANDIR)
 	-$(TEST) -d $(DI_MANDIR) || $(MKDIR) -p $(DI_MANDIR)
 	$(CP) -f di.1 $(DI_MANDIR)/$(MAN_TARGET)
 	$(CHMOD) $(MANPERM) $(DI_MANDIR)/$(MAN_TARGET)
 
 .PHONY: installperms
 installperms:
-	$(CHOWN) $(USER) $(TARGET)
-	$(CHGRP) $(GROUP) $(TARGET)
-	$(CHMOD) $(INSTPERM) $(TARGET)
+	$(CHOWN) $(USER) $(DITARGET)
+	$(CHGRP) $(GROUP) $(DITARGET)
+	$(CHMOD) $(INSTPERM) $(DITARGET)
 
 ###
 # packaging
@@ -200,7 +197,6 @@
 		tests.d/test_order.tmp > /dev/null 2>&1; exit 0
 	@-find . -name '*~' -print | xargs rm >/dev/null 2>&1; exit 0
 	@-(cd C >/dev/null && $(MAKE) clean > /dev/null 2>&1); exit 0
-	@-(cd D >/dev/null && $(MAKE) clean > /dev/null 2>&1); exit 0
 
 # Leaves:
 #  _tmp_mkconfig/, _mkconfig_runtests/
@@ -208,7 +204,6 @@
 realclean:
 	@-$(MAKE) clean > /dev/null 2>&1
 	@-(cd C >/dev/null && $(MAKE) realclean > /dev/null 2>&1); exit 0
-	@-(cd D >/dev/null && $(MAKE) realclean > /dev/null 2>&1); exit 0
 
 # leaves:
 #   dioptions.dat
@@ -221,7 +216,6 @@
 		tests.done _tmp_mkconfig *~ */*~ \
 		*/*/*~ *.orig > /dev/null 2>&1; exit 0
 	@-(cd C >/dev/null && $(MAKE) distclean > /dev/null 2>&1); exit 0
-	@-(cd D >/dev/null && $(MAKE) distclean > /dev/null 2>&1); exit 0
 
 
 ###
@@ -250,3 +244,11 @@
 		$(MKCONFIGPATH)/mkconfig.sh features/checkinstall.dat
 	touch checkinstall
 
+
+.PHONY: envcheck
+envcheck:
+	echo "prefix $(prefix)"
+	echo "PREFIX $(PREFIX)"
+	echo "BINDIR $(BINDIR)"
+	echo "DATADIR $(DATADIR)"
+	echo "LOCALEDIR $(LOCALEDIR)"

=== C/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #  di makefile - C
 #
 #  Copyright 2001-2018 Brad Lanam Walnut Creek CA, USA
+#  Copyright 2023 Brad Lanam, Pleasant Hill, CA
 #
 
 MKC_PREFIX = di
@@ -43,7 +44,11 @@
 # installation options
 #
 prefix = /usr/local
-LOCALEDIR = $(prefix)/share/locale
+PREFIX = $(prefix)
+BINDIR = $(PREFIX)/bin
+DATADIR = $(PREFIX)/share
+MANDIR = $(DATADIR)/man
+LOCALEDIR = $(DATADIR)/locale
 
 ###
 # additional flags/libraries
@@ -179,87 +184,6 @@
 		CC=gcc LD=gcc EXE_EXT=".exe" OBJ_EXT=".o" \
 		DI_CFLAGS="$(DI_CFLAGS) -g -O2" \
 		LDFLAGS="-g -O2 -Zexe" di.exe
-
-.PHONY: bsd43-cc
-bsd43-cc:
-	@$(MAKE) ../dioptions.dat
-	@echo ':' > $(MKC_ENV);chmod a+rx $(MKC_ENV)
-	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
-	sleep 1
-	$(CP) configs/config.bsd43.cc config.h
-	sleep 1
-	@touch $(MKC_REQLIB)
-	$(MAKE) _MKCONFIG_SHELL=$(MKCONFIG_SHELL) \
-		CC=cc LD=cc EXE_EXT="" OBJ_EXT=".o" \
-		DI_CFLAGS="$(DI_CFLAGS) -O" \
-		LDFLAGS="-O" di-programs
-
-.PHONY: bsd43-gcc
-bsd43-gcc:
-	@$(MAKE) ../dioptions.dat
-	@echo ':' > $(MKC_ENV);chmod a+rx $(MKC_ENV)
-	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
-	sleep 1
-	$(CP) configs/config.bsd43.gcc config.h
-	sleep 1
-	@touch $(MKC_REQLIB)
-	$(MAKE) _MKCONFIG_SHELL=$(MKCONFIG_SHELL) \
-		CC=gcc LD=gcc EXE_EXT="" OBJ_EXT=".o" \
-		DI_CFLAGS="$(DI_CFLAGS) -O2" \
-		LDFLAGS="-O2" di-programs
-
-.PHONY: ultrix-cc
-ultrix-cc:
-	@$(MAKE) ../dioptions.dat
-	@echo ':' > $(MKC_ENV);chmod a+rx $(MKC_ENV)
-	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
-	sleep 1
-	$(CP) configs/config.ultrix.cc config.h
-	sleep 1
-	@touch $(MKC_REQLIB)
-	$(MAKE) _MKCONFIG_SHELL=$(MKCONFIG_SHELL) \
-		CC=cc LD=cc EXE_EXT="" OBJ_EXT=".o" \
-		DI_CFLAGS="$(DI_CFLAGS) -O" \
-		LDFLAGS="-O" di-programs
-
-.PHONY: ultrix-gcc
-ultrix-gcc:
-	@$(MAKE) ../dioptions.dat
-	@echo ':' > $(MKC_ENV);chmod a+rx $(MKC_ENV)
-	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
-	sleep 1
-	$(CP) configs/config.ultrix.gcc config.h
-	sleep 1
-	@echo '-lintl' > $(MKC_REQLIB)
-	$(MAKE) _MKCONFIG_SHELL=$(MKCONFIG_SHELL) \
-		CC=gcc LD=gcc EXE_EXT="" OBJ_EXT=".o" \
-		DI_CFLAGS="$(DI_CFLAGS) -O2" \
-		LDFLAGS="-O2" di-programs
-
-.PHONY: hpux-cc
-hpux-cc:
-	@$(MAKE) -e ../dioptions.dat
-	@$(MAKE) CC=/usr/ccs/bin/cc -e $(MKC_ENV)
-	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
-	sleep 1
-	$(CP) configs/config.hpux.bcc config.h
-	sleep 1;touch $(MKC_REQLIB)
-	. ./$(MKC_ENV);$(MAKE) -e CC=/usr/ccs/bin/cc \
-		_MKCONFIG_SHELL=$(MKCONFIG_SHELL) di-programs
-
-.PHONY: xenix-cc
-xenix-cc:
-	@$(MAKE) ../dioptions.dat
-	@echo ':' > $(MKC_ENV);chmod a+rx $(MKC_ENV)
-	@-$(RM) -f config.h mkconfig.cache mkc*.vars tests.done
-	sleep 1
-	$(CP) configs/conf.xenix.cc config.h
-	sleep 1
-	@touch $(MKC_REQLIB)
-	$(MAKE) _MKCONFIG_SHELL=$(MKCONFIG_SHELL) \
-		CC=cc LD=cc EXE_EXT="" OBJ_EXT=".o" \
-		DI_CFLAGS="$(DI_CFLAGS) -O" \
-		LDFLAGS="-O" di-programs
 
 ###
 # cleaning
@@ -318,7 +242,7 @@
 .PHONY: install
 install:
 	$(MAKE) all
-	. ./$(MKC_ENV);cd ..;$(MAKE) -e prefix=$(prefix) \
+	. ./$(MKC_ENV);cd ..;$(MAKE) -e PREFIX=$(PREFIX) \
 		LOCALEDIR=$(LOCALEDIR) FROMDIR=C install
 
 ###
@@ -483,3 +407,54 @@
 	$(MKDIR) -p ./rpmbuild/SOURCES
 	$(MKDIR) -p ./rpmbuild/BUILD
 	$(CP) -f $(DI_DIR)/di-$(DI_VERSION).tar.gz ./rpmbuild/SOURCES
+	$(LN) -f ./rpmbuild/SOURCES/di-$(DI_VERSION).tar.gz ./rpmbuild/SOURCES/download
+	$(RPMBUILD) --define="_topdir `pwd`/rpmbuild" -ba ../di.spec
+	$(TEST) -f ./rpmbuild/RPMS/$(MARCH)/di-$(DI_VERSION)-1.$(MARCH).rpm || exit 1
+	$(TEST) -f ./rpmbuild/SRPMS/di-$(DI_VERSION)-1.src.rpm || exit 1
+	$(TEST) -d ./rpmbuild && rm -rf ./rpmbuild
+
+# needs environment
+.PHONY: rtest-env
+rtest-env:
+	@echo "$(_MKCONFIG_SYSTYPE)"
+	@echo "$(_MKCONFIG_SYSREV)"
+	@echo "$(_MKCONFIG_SYSARCH)"
+	@echo "$(CC)"
+	@echo "$(_MKCONFIG_USING_GCC)"
+	@echo "$(CFLAGS_OPTIMIZE)"
+	@echo "$(CFLAGS_COMPILER)"
+	@echo "$(LDFLAGS_COMPILER)"
+	@echo "$(OBJ_EXT)"
+	@echo "$(EXE_EXT)"
+	@echo "$(XMSGFMT)"
+
+.PHONY: test-env
+test-env:
+	@echo "cc: $(CC)"
+	@echo "make: $(MAKE)"
+
+gconfig.h:	$(MKC_ENV) mkc_config/di-getoptn.mkc
+	@-$(RM) -f gconfig.h
+	@if [ "$(MKCONFIG_TYPE)" = "sh" -o "$(MKCONFIG_TYPE)" = "" ]; then \
+		. ./$(MKC_ENV); \
+		$(_MKCONFIG_SHELL) $(MKC_DIR)/mkconfig.sh \
+		$(MKC_CONF_GETOPTN); fi
+	@if [ "$(MKCONFIG_TYPE)" = "perl" ]; then \
+		. ./$(MKC_ENV); \
+		perl $(MKC_DIR)/mkconfig.pl \
+		$(MKC_CONF_GETOPTN); fi
+
+getoptn_test$(OBJ_EXT):	getoptn.c gconfig.h getoptn.h
+	@. ./$(MKC_ENV);$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -compile \
+		-DTEST_GETOPTN=1 \
+		-o getoptn_test$(OBJ_EXT) getoptn.c
+
+getoptn.reqlibs:	$(MKC_ENV) gconfig.h
+	@. ./$(MKC_ENV);$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -reqlib \
+		-o getoptn.reqlibs gconfig.h
+
+getoptn_test.exe:	getoptn_test$(OBJ_EXT) getoptn.reqlibs
+	@. ./$(MKC_ENV);$(_MKCONFIG_SHELL) $(MKC_DIR)/mkc.sh -link -exec \
+		$(MKC_ECHO) -r getoptn.reqlibs \
+		-o getoptn_test.exe $(LDFLAGS) \
+		getoptn_test$(OBJ_EXT)

=== debian/changelog ===
di (4.52-2) unstable; urgency=medium

  * Import package to salsa
   + debian/control: add VCS fields, Rules-Requires-Root,
   wrap-and-sort
   + debian/compat: remove, add dependency in debian/control

 -- Michael Ablassmeier <abi@debian.org>  Wed, 02 Aug 2023 22:15:13 +0200

di (4.52-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/watch

 -- Michael Ablassmeier <abi@debian.org>  Thu, 20 Jul 2023 09:08:24 +0200

=== debian/control ===
Source: di
Section: utils
Priority: optional
Maintainer: Michael Ablassmeier <abi@debian.org>
Build-Depends: debhelper (>= 13), debhelper-compat (=13), gettext
Standards-Version: 4.6.2
Homepage: https://diskinfo-di.sourceforge.io/
Vcs-Git: https://salsa.debian.org/debian/di.git
Vcs-Browser: https://salsa.debian.org/debian/di
Rules-Requires-Root: no

Package: di
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: advanced df like disk information utility
 `di' is a disk information utility, displaying everything
 (and more) that your `df' command does. It features the
 ability to display your disk usage in whatever format you
 desire/prefer/are used to. It is designed to be portable
 across many platforms.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build -- all-c

## di 4.53

=== Makefile ===
--- 
+++ 
@@ -79,11 +79,6 @@
 	$(MAKE) checkbuild
 	cd C >/dev/null && $(MAKE) CC=$(CC) -e all
 
-.PHONY: tcl-sh
-tcl-sh:
-	$(MAKE) checkbuild
-	cd C >/dev/null && $(MAKE) CC=$(CC) -e tcl-sh
-
 .PHONY: all-perl
 all-perl:
 	$(MAKE) checkperlbuild

=== debian/changelog ===
di (4.53-1) unstable; urgency=medium

  * New upstream version (Closes: #1074908)
  * debian/copyright: update format
  * Remove obsolete debian/patches

 -- Michael Ablassmeier <abi@debian.org>  Wed, 03 Jul 2024 15:19:36 +0200
